- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
LotusStyleManagerInternal::LineStyle Struct Reference

small struct used to defined line style More...

## Public Member Functions
| LineStyle ()
| constructor More...

## Public Attributes
float | m_width
| the line width More...
WPSColor | m_color
| the line color More...
int | m_dashId
| the dash id More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, LineStyle const &line)
| operator<< More...

## Detailed Description

small struct used to defined line style

## Constructor & Destructor Documentation

LotusStyleManagerInternal::LineStyle::LineStyle | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | LineStyle const & | line
| ) |  |
| friend

operator<<

## Member Data Documentation

WPSColor LotusStyleManagerInternal::LineStyle::m_color

the line color

Referenced by LotusStyleManager::readLineStyle(), and LotusStyleManager::updateLineStyle().

int LotusStyleManagerInternal::LineStyle::m_dashId

the dash id

Referenced by LotusStyleManager::readLineStyle().

std::string LotusStyleManagerInternal::LineStyle::m_extra

extra data

Referenced by LotusStyleManager::readLineStyle().

float LotusStyleManagerInternal::LineStyle::m_width

the line width

Referenced by LotusStyleManager::readLineStyle(), and LotusStyleManager::updateLineStyle().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp